# Deletes Bundle and removes associations to related products DELETE https://api.shipbob.com/2025-07/product/{productId} Reference: https://developer.shipbob.com/2025-07/api/products/deletes-bundle-and-removes-associations-to-related-products ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: api-2025-07 version: 1.0.0 paths: /2025-07/product/{productId}: delete: operationId: deletes-bundle-and-removes-associations-to-related-products summary: | Deletes Bundle and removes associations to related products tags: - subpackage_products parameters: - name: productId in: path description: | The product identifier required: true schema: type: string format: int64 - name: Authorization in: header description: Authentication using Personal Access Token (PAT) token required: true schema: type: string responses: '200': description: Success content: application/json: schema: $ref: >- #/components/schemas/Products_deletesBundleAndRemovesAssociationsToRelatedProducts_Response_200 '400': description: Bad Request content: application/json: schema: $ref: >- #/components/schemas/Products.Delete.Api.V5.Product.ProductId.Bad.Request.Object '404': description: Not Found content: application/json: schema: $ref: >- #/components/schemas/Products.Delete.Api.V5.Product.ProductId.Not.Found.OneOf.ProblemDetails.HttpValidationProblemDetails servers: - url: https://api.shipbob.com - url: https://sandbox-api.shipbob.com components: schemas: Products_deletesBundleAndRemovesAssociationsToRelatedProducts_Response_200: type: object properties: {} description: Empty response body title: >- Products_deletesBundleAndRemovesAssociationsToRelatedProducts_Response_200 Products.Delete.Api.V5.Product.ProductId.Bad.Request.Object: type: object additionalProperties: type: array items: type: string title: Products.Delete.Api.V5.Product.ProductId.Bad.Request.Object Products.ProblemDetails: type: object properties: detail: type: - string - 'null' instance: type: - string - 'null' status: type: - integer - 'null' title: type: - string - 'null' type: type: - string - 'null' title: Products.ProblemDetails Products.HttpValidationProblemDetails: type: object properties: detail: type: - string - 'null' instance: type: - string - 'null' status: type: - integer - 'null' title: type: - string - 'null' type: type: - string - 'null' errors: type: - object - 'null' additionalProperties: type: array items: type: string title: Products.HttpValidationProblemDetails Products.Delete.Api.V5.Product.ProductId.Not.Found.OneOf.ProblemDetails.HttpValidationProblemDetails: oneOf: - $ref: '#/components/schemas/Products.ProblemDetails' - $ref: '#/components/schemas/Products.HttpValidationProblemDetails' title: >- Products.Delete.Api.V5.Product.ProductId.Not.Found.OneOf.ProblemDetails.HttpValidationProblemDetails securitySchemes: PAT: type: http scheme: bearer description: Authentication using Personal Access Token (PAT) token OAuth2: type: http scheme: bearer description: OAuth2 authentication using JWT tokens ``` ## SDK Code Examples ```python import requests url = "https://api.shipbob.com/2025-07/product/productId" headers = {"Authorization": "Bearer "} response = requests.delete(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.shipbob.com/2025-07/product/productId'; const options = {method: 'DELETE', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.shipbob.com/2025-07/product/productId" req, _ := http.NewRequest("DELETE", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.shipbob.com/2025-07/product/productId") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Delete.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.delete("https://api.shipbob.com/2025-07/product/productId") .header("Authorization", "Bearer ") .asString(); ``` ```php request('DELETE', 'https://api.shipbob.com/2025-07/product/productId', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.shipbob.com/2025-07/product/productId"); var request = new RestRequest(Method.DELETE); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/2025-07/product/productId")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "DELETE" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```